fn main() {
    // ANCHOR: here
    {
        let s = String::from("witaj"); // Zmienna s jest poprawna od tego miejsca

        // Robimy coś ze zmienną s
    }                                  // Tutaj zakres się kończy i zmienna s przestaje być poprawna
     
    // ANCHOR_END: here
}
